aboutsummaryrefslogtreecommitdiff
path: root/deployment/build.linux.amd64
diff options
context:
space:
mode:
authorNyanmisaka <nst799610810@gmail.com>2020-06-25 16:37:40 +0800
committerGitHub <noreply@github.com>2020-06-25 16:37:40 +0800
commit912946a42793305ecdc6a8c176f1775ffe7ac0de (patch)
tree6a4d85c4869ed8cb5d15f3fa8c82512de6405b6e /deployment/build.linux.amd64
parentbfd87829e3bca42a245287b99e652d091b21c990 (diff)
parent91c51ae6752720d6272e6a0c651edd3780e150ac (diff)
Merge pull request from jellyfin/master
Diffstat (limited to 'deployment/build.linux.amd64')
-rwxr-xr-xdeployment/build.linux.amd6431
1 files changed, 31 insertions, 0 deletions
diff --git a/deployment/build.linux.amd64 b/deployment/build.linux.amd64
new file mode 100755
index 0000000000..a7fb0544ad
--- /dev/null
+++ b/deployment/build.linux.amd64
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+#= Generic Linux amd64 .tar.gz
+
+set -o errexit
+set -o xtrace
+
+# Move to source directory
+pushd ${SOURCE_DIR}
+
+# Get version
+if [[ ${IS_UNSTABLE} == 'yes' ]]; then
+ version="${BUILD_ID}"
+else
+ version="$( grep "version:" ./build.yaml | sed -E 's/version: "([0-9\.]+.*)"/\1/' )"
+fi
+
+# Build archives
+dotnet publish Jellyfin.Server --configuration Release --self-contained --runtime linux-x64 --output dist/jellyfin-server_${version}/ "-p:GenerateDocumentationFile=false;DebugSymbols=false;DebugType=none;UseAppHost=true"
+tar -czf jellyfin-server_${version}_linux-amd64.tar.gz -C dist jellyfin-server_${version}
+rm -rf dist/jellyfin-server_${version}
+
+# Move the artifacts out
+mkdir -p ${ARTIFACT_DIR}/
+mv jellyfin[-_]*.tar.gz ${ARTIFACT_DIR}/
+
+if [[ ${IS_DOCKER} == YES ]]; then
+ chown -Rc $(stat -c %u:%g ${ARTIFACT_DIR}) ${ARTIFACT_DIR}
+fi
+
+popd